## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global selinuxtype targeted
%global modulename tailscaled

Name:           tailscale-selinux
Version:        0.0.2
Release:        6%{?dist}
Summary:        Tailscale SELinux policy
License:        BSD
URL:            https://github.com/mcha-forks/%{name}
BuildArch:      noarch

Source0:        %{modulename}.fc
Source1:        %{modulename}.if
Source2:        %{modulename}.te
Source3:        LICENSE

Requires:       selinux-policy-%{selinuxtype}
Requires(post): selinux-policy-%{selinuxtype}
BuildRequires:  selinux-policy-devel
%{?selinux_requires}

%description
Tailscale VPN SELinux policy.

%prep
mkdir -p %{name}-build
cp %{SOURCE3} .
cd %{name}-build
cp %{SOURCE0} %{SOURCE1} %{SOURCE2} .

%build
make -f %{_datadir}/selinux/devel/Makefile %{modulename}.pp
bzip2 -9 %{modulename}.pp

%install
install -D -m 0644 %{modulename}.pp.bz2 %{buildroot}%{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.bz2

%pre
%selinux_relabel_pre -s %{selinuxtype}

%post
%selinux_modules_install -s %{selinuxtype} %{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.bz2

%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s %{selinuxtype} %{modulename}
fi

%posttrans
%selinux_relabel_post -s %{selinuxtype}

%files
%license LICENSE
%{_datadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.*
%ghost %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}

%changelog
## START: Generated by rpmautospec
* Fri May 23 2025 Zephyr Lykos <git@mochaa.ws> - 0.0.2-7
- tpm: allow sealing keys using raw device

* Mon May 19 2025 Zephyr Lykos <git@mochaa.ws> - 0.0.2-6
- allow connecting to all ports

* Wed Dec 13 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.2-5
- tailssh/sftp: unconfine files, not fs

* Wed Dec 13 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.2-4
- add dist tag

* Wed Dec 13 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.2-3
- tailssh: only unconfine fs perms

* Wed Dec 13 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.2-2
- tailssh: fix 34f0952e303e89592c4cab454f3b95ec804a2f6b not working

* Wed Dec 13 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.2-1
- build: do not use autorelease

* Wed Dec 13 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-9
- ignore selinux build files

* Wed Dec 13 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-8
- tailssh: workaround incorrect context for sftp

* Wed Dec 13 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-7
- tailssh: use term_create_pty

* Sat Sep 23 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-6
- tailnet: allow tcp commplex connects

* Wed Sep 20 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-5
- tailscale: fix allow shell_exec_t

* Wed Sep 20 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-4
- tailssh: allow setpgid

* Mon Sep 11 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-3
- tailssh: allow shell_exec_t

* Sun Jul 30 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-2
- allow more operations on netfilter socket

* Sat Jul 22 2023 Zephyr Lykos <git@mochaa.ws> - 0.0.1-1
- bump version

* Sat Jul 22 2023 Zephyr Lykos <fedora@mochaa.ws> - 0.0.0-5
- Migrate to in-tree build

* Fri May 05 2023 Zephyr Lykos <fedora@mochaa.ws> - 0.0.0-4
- Allow Caddy to issue certificates.

* Fri May 05 2023 Zephyr Lykos <fedora@mochaa.ws> - 0.0.0-3
- Misc fixes.

* Fri May 05 2023 Zephyr Lykos <fedora@mochaa.ws> - 0.0.0-2
- Move source to fork.
- Allow sys_ptrace.

* Thu May 04 2023 Zephyr Lykos <fedora@mochaa.ws> - 0.0.0-1
- First build.

## END: Generated by rpmautospec
